#include<bits/stdc++.h>
using namespace std;
#define MAXN 500007
#define ll long long
#define X first
#define Y second 
vector<pair<ll,ll>>v;
map<pair<pair<ll,ll>,ll>,ll>parovi;
map<pair<pair<ll,ll>,ll>,ll>parovi1;
int solve(int n)
{
    ll p,q;
    ll d;
    pair<pair<ll,ll>,ll>p1;
    pair<pair<ll,ll>,ll>p2;
    for(int i=0;i<n;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            p=v[i].second-v[j].second;
            q=v[i].first-v[j].first;
            
            ll gc=__gcd(p,q);
            p/=gc;
            q/=gc;
            d=(v[i].second-v[j].second)*(v[i].second-v[j].second)+(v[i].first-v[j].first)*(v[i].first-v[j].first);
            p1=make_pair(make_pair(p,q),d);
            p2=make_pair(make_pair(p,q),4*d);
            parovi[p1]++;
            parovi1[p2]++;
        }
    }
    ll sum=0;
    for(auto i:parovi)
    {
        sum+=parovi1[i.first]*i.second;
    }
    cout<<sum<<endl;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    int n;
    ll a,b;
    cin>>n;
    for(int i=0;i<n;i++)
    {
        cin>>a>>b;
        v.emplace_back(a,b);
    }
    solve(n);
}